# OCaml has a bytecode backend that works on anything with a C
# compiler, and a native code backend available on a subset of
# architectures.  A further subset of architectures support native
# dynamic linking.
#
# This package contains a file needed to define some RPM macros
# which are required before any SRPM is built, and a helper python
# script that executes common OCaml package tasks.
#
# See also: https://bugzilla.redhat.com/show_bug.cgi?id=1087794

Name:           ocaml-srpm-macros
Version:        10
Release:        %mkrel 1
Group:          Development/OCaml
Summary:        OCaml architecture macros
License:        GPLv2+

BuildArch:      noarch

Source0:        macros.ocaml-srpm

# NB. This package MUST NOT Require anything (except for dependencies
# that RPM itself generates).

%description
This package contains macros needed by RPM in order to build
SRPMS.  It does not pull in any other OCaml dependencies.


%prep


%build


%install
mkdir -p $RPM_BUILD_ROOT%{_rpmmacrodir}
install -m 0644 %{SOURCE0} $RPM_BUILD_ROOT%{_rpmmacrodir}/macros.ocaml-srpm

%files
%{_rpmmacrodir}/macros.ocaml-srpm


%changelog
* Tue Apr 01 2025 pterjan <pterjan> 10-1.mga10
+ Revision: 2172572
- Update to version 10

* Sat Mar 29 2025 pterjan <pterjan> 7-2.mga10
+ Revision: 2171413
- Update the lis of native architectures, 32bit ones are no longer native with ocaml >= 5

* Thu Oct 20 2022 pterjan <pterjan> 7-1.mga9
+ Revision: 1898033
- Sync with Fedora. This adds a lot of macros like ocamldir, dune_*, and a script to generate the files section.

* Mon Mar 21 2022 umeabot <umeabot> 6-3.mga9
+ Revision: 1812229
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 6-2.mga8
+ Revision: 1543225
- Mageia 8 Mass Rebuild

* Sun Jan 19 2020 tv <tv> 6-1.mga8
+ Revision: 1481489
- Remove support for native profiling, see:
  https://github.com/ocaml/ocaml/pull/2314

* Thu Sep 20 2018 umeabot <umeabot> 5-2.mga7
+ Revision: 1281319
- Mageia 7 Mass Rebuild

* Sun Jan 07 2018 tv <tv> 5-1.mga7
+ Revision: 1191037
- imported package ocaml-srpm-macros

